/*---- NUMBER OF SLIDE CONFIGURATION ----*/
.cofitea-carousel-wrapper {
    margin: 0 auto;
    width: 100%;
    position: relative;
    aspect-ratio: 16 / 9;
}

.cofitea-carousel-wrapper input {
    display: none;
}

.cofitea-carousel-wrapper .inner {
    width: 2000%;
    height: 100%;
    line-height: 0;
}

.cofitea-carousel-wrapper article {
    width: 5%;
    height: 100%;
    float: left;
    position: relative;
}

.cofitea-carousel-wrapper article img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

/*---- SET UP CONTROL ----*/
.cofitea-carousel-wrapper .slider-prev-next-control {
    height: 50px;
    position: absolute;
    top: 50%;
    width: 100%;
    -webkit-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -o-transform: translateY(-50%);
    transform: translateY(-50%);
}

.cofitea-carousel-wrapper .slider-prev-next-control label {
    display: none;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background: #fff;
    opacity: 0.7;
}

.cofitea-carousel-wrapper .slider-prev-next-control label:hover {
    opacity: 1;
}

.cofitea-carousel-wrapper .slider-dot-control {
    position: absolute;
    width: 100%;
    bottom: 0;
    text-align: center;
}

.cofitea-carousel-wrapper .slider-dot-control label {
    cursor: pointer;
    position: relative;
    border-radius: 5px;
    display: inline-block;
    width: 10px;
    height: 10px;
    background: #bbb;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    transition: all 0.3s;
}

.cofitea-carousel-wrapper .slider-dot-control label:hover {
    background: #ccc;
    border-color: #777;
}

/* Info Box */
.cofitea-carousel-wrapper article .info {
    position: absolute;
    font-style: italic;
    line-height: 20px;
    color: #000;
    text-align: left;
    -webkit-transition: all 1000ms ease-out 600ms;
    -moz-transition: all 1000ms ease-out 600ms;
    transition: all 1000ms ease-out 600ms;
}

.cofitea-carousel-wrapper .info h3 {
    color: #fcfff4;
    z-index: 9;
    margin: 0 0 5px;
    font-weight: normal;
    font-size: 1.5em;
    font-style: normal;
}

.cofitea-carousel-wrapper .info.top-left {
    top: 30px;
    left: 30px;
}

.cofitea-carousel-wrapper .info.top-right {
    top: 30px;
    right: 30px;
}

.cofitea-carousel-wrapper .info.bottom-left {
    bottom: 30px;
    left: 30px;
}

.cofitea-carousel-wrapper .info.bottom-right {
    bottom: 30px;
    right: 30px;
}

/* Slider Styling */
.cofitea-carousel-wrapper .slider-wrapper {
    width: 100%;
    height: 100%;
    overflow: hidden;
    border-radius: 5px;
    box-shadow: 1px 1px 4px #666;
    background: #fff;
    background: #fcfff4;
    -webkit-transform: translateZ(0);
    -moz-transform: translateZ(0);
    -ms-transform: translateZ(0);
    -o-transform: translateZ(0);
    transform: translateZ(0);
    -webkit-transition: all 500ms ease-out;
    -moz-transition: all 500ms ease-out;
    transition: all 500ms ease-out;
}

.cofitea-carousel-wrapper .slider-wrapper .inner {
    -webkit-transform: translateZ(0);
    -moz-transform: translateZ(0);
    -ms-transform: translateZ(0);
    -o-transform: translateZ(0);
    transform: translateZ(0);
    -webkit-transition: all 800ms cubic-bezier(0.77, 0, 0.175, 1);
    -moz-transition: all 800ms cubic-bezier(0.77, 0, 0.175, 1);
    transition: all 800ms cubic-bezier(0.77, 0, 0.175, 1);
}

/*---- SET POSITION FOR SLIDE ----*/
#slide1:checked~.slider-prev-next-control label:nth-child(20)::after,
#slide20:checked~.slider-prev-next-control label:nth-child(19)::after,
#slide19:checked~.slider-prev-next-control label:nth-child(18)::after,
#slide18:checked~.slider-prev-next-control label:nth-child(17)::after,
#slide17:checked~.slider-prev-next-control label:nth-child(16)::after,
#slide16:checked~.slider-prev-next-control label:nth-child(15)::after,
#slide15:checked~.slider-prev-next-control label:nth-child(14)::after,
#slide14:checked~.slider-prev-next-control label:nth-child(13)::after,
#slide13:checked~.slider-prev-next-control label:nth-child(12)::after,
#slide12:checked~.slider-prev-next-control label:nth-child(11)::after,
#slide11:checked~.slider-prev-next-control label:nth-child(10)::after,
#slide10:checked~.slider-prev-next-control label:nth-child(9)::after,
#slide9:checked~.slider-prev-next-control label:nth-child(8)::after,
#slide8:checked~.slider-prev-next-control label:nth-child(7)::after,
#slide7:checked~.slider-prev-next-control label:nth-child(6)::after,
#slide6:checked~.slider-prev-next-control label:nth-child(5)::after,
#slide5:checked~.slider-prev-next-control label:nth-child(4)::after,
#slide4:checked~.slider-prev-next-control label:nth-child(3)::after,
#slide3:checked~.slider-prev-next-control label:nth-child(2)::after,
#slide2:checked~.slider-prev-next-control label:nth-child(1)::after,
#slide20:checked~.slider-prev-next-control label:nth-child(1)::after,
#slide19:checked~.slider-prev-next-control label:nth-child(20)::after,
#slide18:checked~.slider-prev-next-control label:nth-child(19)::after,
#slide17:checked~.slider-prev-next-control label:nth-child(18)::after,
#slide16:checked~.slider-prev-next-control label:nth-child(17)::after,
#slide15:checked~.slider-prev-next-control label:nth-child(16)::after,
#slide14:checked~.slider-prev-next-control label:nth-child(15)::after,
#slide13:checked~.slider-prev-next-control label:nth-child(14)::after,
#slide12:checked~.slider-prev-next-control label:nth-child(13)::after,
#slide11:checked~.slider-prev-next-control label:nth-child(12)::after,
#slide10:checked~.slider-prev-next-control label:nth-child(11)::after,
#slide9:checked~.slider-prev-next-control label:nth-child(10)::after,
#slide8:checked~.slider-prev-next-control label:nth-child(9)::after,
#slide7:checked~.slider-prev-next-control label:nth-child(8)::after,
#slide6:checked~.slider-prev-next-control label:nth-child(7)::after,
#slide5:checked~.slider-prev-next-control label:nth-child(6)::after,
#slide4:checked~.slider-prev-next-control label:nth-child(5)::after,
#slide3:checked~.slider-prev-next-control label:nth-child(4)::after,
#slide2:checked~.slider-prev-next-control label:nth-child(3)::after,
#slide1:checked~.slider-prev-next-control label:nth-child(2)::after {
    font-style: normal;
    font-weight: normal;
    text-decoration: inherit;
    margin: 0;
    line-height: 38px;
    font-size: 3em;
    display: block;
    color: #777;
}

#slide20:checked~.slider-prev-next-control label:nth-child(1)::after,
#slide19:checked~.slider-prev-next-control label:nth-child(20)::after,
#slide18:checked~.slider-prev-next-control label:nth-child(19)::after,
#slide17:checked~.slider-prev-next-control label:nth-child(18)::after,
#slide16:checked~.slider-prev-next-control label:nth-child(17)::after,
#slide15:checked~.slider-prev-next-control label:nth-child(16)::after,
#slide14:checked~.slider-prev-next-control label:nth-child(15)::after,
#slide13:checked~.slider-prev-next-control label:nth-child(14)::after,
#slide12:checked~.slider-prev-next-control label:nth-child(13)::after,
#slide11:checked~.slider-prev-next-control label:nth-child(12)::after,
#slide10:checked~.slider-prev-next-control label:nth-child(11)::after,
#slide9:checked~.slider-prev-next-control label:nth-child(10)::after,
#slide8:checked~.slider-prev-next-control label:nth-child(9)::after,
#slide7:checked~.slider-prev-next-control label:nth-child(8)::after,
#slide6:checked~.slider-prev-next-control label:nth-child(7)::after,
#slide5:checked~.slider-prev-next-control label:nth-child(6)::after,
#slide4:checked~.slider-prev-next-control label:nth-child(5)::after,
#slide3:checked~.slider-prev-next-control label:nth-child(4)::after,
#slide2:checked~.slider-prev-next-control label:nth-child(3)::after,
#slide1:checked~.slider-prev-next-control label:nth-child(2)::after {
    content: "›";
    position: relative;
    left: 30%;
    top: -10%;
}

#slide20:checked~.slider-prev-next-control label:nth-child(1),
#slide19:checked~.slider-prev-next-control label:nth-child(20),
#slide18:checked~.slider-prev-next-control label:nth-child(19),
#slide17:checked~.slider-prev-next-control label:nth-child(18),
#slide16:checked~.slider-prev-next-control label:nth-child(17),
#slide15:checked~.slider-prev-next-control label:nth-child(16),
#slide14:checked~.slider-prev-next-control label:nth-child(15),
#slide13:checked~.slider-prev-next-control label:nth-child(14),
#slide12:checked~.slider-prev-next-control label:nth-child(13),
#slide11:checked~.slider-prev-next-control label:nth-child(12),
#slide10:checked~.slider-prev-next-control label:nth-child(11),
#slide9:checked~.slider-prev-next-control label:nth-child(10),
#slide8:checked~.slider-prev-next-control label:nth-child(9),
#slide7:checked~.slider-prev-next-control label:nth-child(8),
#slide6:checked~.slider-prev-next-control label:nth-child(7),
#slide5:checked~.slider-prev-next-control label:nth-child(6),
#slide4:checked~.slider-prev-next-control label:nth-child(5),
#slide3:checked~.slider-prev-next-control label:nth-child(4),
#slide2:checked~.slider-prev-next-control label:nth-child(3),
#slide1:checked~.slider-prev-next-control label:nth-child(2) {
    display: block;
    float: right;
    margin-right: 5px;
}

#slide1:checked~.slider-prev-next-control label:nth-child(20),
#slide20:checked~.slider-prev-next-control label:nth-child(19),
#slide19:checked~.slider-prev-next-control label:nth-child(18),
#slide18:checked~.slider-prev-next-control label:nth-child(17),
#slide17:checked~.slider-prev-next-control label:nth-child(16),
#slide16:checked~.slider-prev-next-control label:nth-child(15),
#slide15:checked~.slider-prev-next-control label:nth-child(14),
#slide14:checked~.slider-prev-next-control label:nth-child(13),
#slide13:checked~.slider-prev-next-control label:nth-child(12),
#slide12:checked~.slider-prev-next-control label:nth-child(11),
#slide11:checked~.slider-prev-next-control label:nth-child(10),
#slide10:checked~.slider-prev-next-control label:nth-child(9),
#slide9:checked~.slider-prev-next-control label:nth-child(8),
#slide8:checked~.slider-prev-next-control label:nth-child(7),
#slide7:checked~.slider-prev-next-control label:nth-child(6),
#slide6:checked~.slider-prev-next-control label:nth-child(5),
#slide5:checked~.slider-prev-next-control label:nth-child(4),
#slide4:checked~.slider-prev-next-control label:nth-child(3),
#slide3:checked~.slider-prev-next-control label:nth-child(2),
#slide2:checked~.slider-prev-next-control label:nth-child(1) {
    display: block;
    float: left;
    margin-left: 5px;
}

#slide1:checked~.slider-prev-next-control label:nth-child(20)::after,
#slide20:checked~.slider-prev-next-control label:nth-child(19)::after,
#slide19:checked~.slider-prev-next-control label:nth-child(18)::after,
#slide18:checked~.slider-prev-next-control label:nth-child(17)::after,
#slide17:checked~.slider-prev-next-control label:nth-child(16)::after,
#slide16:checked~.slider-prev-next-control label:nth-child(15)::after,
#slide15:checked~.slider-prev-next-control label:nth-child(14)::after,
#slide14:checked~.slider-prev-next-control label:nth-child(13)::after,
#slide13:checked~.slider-prev-next-control label:nth-child(12)::after,
#slide12:checked~.slider-prev-next-control label:nth-child(11)::after,
#slide11:checked~.slider-prev-next-control label:nth-child(10)::after,
#slide10:checked~.slider-prev-next-control label:nth-child(9)::after,
#slide9:checked~.slider-prev-next-control label:nth-child(8)::after,
#slide8:checked~.slider-prev-next-control label:nth-child(7)::after,
#slide7:checked~.slider-prev-next-control label:nth-child(6)::after,
#slide6:checked~.slider-prev-next-control label:nth-child(5)::after,
#slide5:checked~.slider-prev-next-control label:nth-child(4)::after,
#slide4:checked~.slider-prev-next-control label:nth-child(3)::after,
#slide3:checked~.slider-prev-next-control label:nth-child(2)::after,
#slide2:checked~.slider-prev-next-control label:nth-child(1)::after {
    content: "‹";
    position: relative;
    left: 30%;
    top: -10%;
}

#slide20:checked~.slider-dot-control label:nth-child(20),
#slide19:checked~.slider-dot-control label:nth-child(19),
#slide18:checked~.slider-dot-control label:nth-child(18),
#slide17:checked~.slider-dot-control label:nth-child(17),
#slide16:checked~.slider-dot-control label:nth-child(16),
#slide15:checked~.slider-dot-control label:nth-child(15),
#slide14:checked~.slider-dot-control label:nth-child(14),
#slide13:checked~.slider-dot-control label:nth-child(13),
#slide12:checked~.slider-dot-control label:nth-child(12),
#slide11:checked~.slider-dot-control label:nth-child(11),
#slide10:checked~.slider-dot-control label:nth-child(10),
#slide9:checked~.slider-dot-control label:nth-child(9),
#slide8:checked~.slider-dot-control label:nth-child(8),
#slide7:checked~.slider-dot-control label:nth-child(7),
#slide6:checked~.slider-dot-control label:nth-child(6),
#slide5:checked~.slider-dot-control label:nth-child(5),
#slide4:checked~.slider-dot-control label:nth-child(4),
#slide3:checked~.slider-dot-control label:nth-child(3),
#slide2:checked~.slider-dot-control label:nth-child(2),
#slide1:checked~.slider-dot-control label:nth-child(1) {
    background: #333;
}

.cofitea-carousel-wrapper #slide1:checked~.slider-wrapper .inner {
    margin-left: 0%;
}

.cofitea-carousel-wrapper #slide2:checked~.slider-wrapper .inner {
    margin-left: -100%;
}

.cofitea-carousel-wrapper #slide3:checked~.slider-wrapper .inner {
    margin-left: -200%;
}

.cofitea-carousel-wrapper #slide4:checked~.slider-wrapper .inner {
    margin-left: -300%;
}

.cofitea-carousel-wrapper #slide5:checked~.slider-wrapper .inner {
    margin-left: -400%;
}

.cofitea-carousel-wrapper #slide6:checked~.slider-wrapper .inner {
    margin-left: -500%;
}

.cofitea-carousel-wrapper #slide7:checked~.slider-wrapper .inner {
    margin-left: -600%;
}

.cofitea-carousel-wrapper #slide8:checked~.slider-wrapper .inner {
    margin-left: -700%;
}

.cofitea-carousel-wrapper #slide9:checked~.slider-wrapper .inner {
    margin-left: -800%;
}

.cofitea-carousel-wrapper #slide10:checked~.slider-wrapper .inner {
    margin-left: -900%;
}

.cofitea-carousel-wrapper #slide11:checked~.slider-wrapper .inner {
    margin-left: -1000%;
}

.cofitea-carousel-wrapper #slide12:checked~.slider-wrapper .inner {
    margin-left: -1100%;
}

.cofitea-carousel-wrapper #slide13:checked~.slider-wrapper .inner {
    margin-left: -1200%;
}

.cofitea-carousel-wrapper #slide14:checked~.slider-wrapper .inner {
    margin-left: -1300%;
}

.cofitea-carousel-wrapper #slide15:checked~.slider-wrapper .inner {
    margin-left: -1400%;
}

.cofitea-carousel-wrapper #slide16:checked~.slider-wrapper .inner {
    margin-left: -1500%;
}

.cofitea-carousel-wrapper #slide17:checked~.slider-wrapper .inner {
    margin-left: -1600%;
}

.cofitea-carousel-wrapper #slide18:checked~.slider-wrapper .inner {
    margin-left: -1700%;
}

.cofitea-carousel-wrapper #slide19:checked~.slider-wrapper .inner {
    margin-left: -1800%;
}

.cofitea-carousel-wrapper #slide20:checked~.slider-wrapper .inner {
    margin-left: -1900%;
}

/*---- TABLET ----*/
@media only screen and (max-width: 850px) and (min-width: 450px) {
    .cofitea-carousel-wrapper.slider-wrapper {
        border-radius: 0;
    }
}

/*---- MOBILE----*/
@media only screen and (max-width: 450px) {
    .cofitea-carousel-wrapper.slider-wrapper {
        border-radius: 0;
    }

    .cofitea-carousel-wrapper.slider-wrapper .cofitea-carousel-wrapper .info {
        opacity: 0;
    }
}